### Hierarchy

- Entity
  - Ped

## Index

### Constructors

- constructor

### Properties

- bones
- handle
- pedBones
- speechModifierNames
- tasks
- weapons

### Accessors

- Accuracy
- Armor
- AttachedBlip
- BlockPermanentEvents
- Bones
- CanRagdoll
- CurrentVehicle
- DrivingSpeed
- DrivingStyle
- DropsWeaponsOnDeath
- FiringPattern
- Gender
- Handle
- HasCollided
- HasGravity
- Heading
- Health
- HeightAboveGround
- IsAiming
- IsAimingFromCover
- IsAmbientSpeechEnabled
- IsAmbientSpeechPlaying
- IsAnySpeechPlaying
- IsBeingJacked
- IsBeingStealthKilled
- IsBeingStunned
- IsClimbing
- IsCollisionEnabled
- IsCuffed
- IsDiving
- IsDoingDriveby
- IsDucking
- IsEnemy
- IsFalling
- IsFleeing
- IsGettingIntoAVehicle
- IsGettingUp
- IsGoingIntoCover
- IsHuman
- IsIdle
- IsInAir
- IsInBoat
- IsInCombat
- IsInCoverFacingLeft
- IsInFlyingVehicle
- IsInGroup
- IsInHeli
- IsInMeleeCombat
- IsInParachuteFreeFall
- IsInPlane
- IsInPoliceVehicle
- IsInStealthMode
- IsInSub
- IsInTaxi
- IsInTrain
- IsInWater
- IsInjured
- IsInvincible
- IsJacking
- IsJumping
- IsJumpingOutOfVehicle
- IsOccluded
- IsOnBike
- IsOnFire
- IsOnFoot
- IsOnScreen
- IsOnlyDamagedByPlayer
- IsPainAudioEnabled
- IsPerformingStealthKill
- IsPersistent
- IsPlantingBomb
- IsPlayer
- IsPositionFrozen
- IsPriorityTargetForEnemies
- IsProne
- IsRagdoll
- IsRecordingCollisions
- IsReloading
- IsRunning
- IsScriptedSpeechPlaying
- IsShooting
- IsSprinting
- IsStopped
- IsSwimming
- IsSwimmingUnderWater
- IsTryingToEnterALockedVehicle
- IsUpright
- IsUpsideDown
- IsVaulting
- IsVisible
- IsWalking
- IsWearingHelmet
- LastVehicle
- LodDistance
- MaterialCollidingWith
- MaxDrivingSpeed
- MaxHealth
- MaxSpeed
- Model
- Money
- NetworkId
- NeverLeavesGroup
- Opacity
- Position
- PositionNoOffset
- Quaternion
- Rotation
- RotationVelocity
- SeatIndex
- ShootRate
- StaysInVehicleWhenJacked
- SubmersionLevel
- Sweat
- Task
- TaskSequenceProgress
- VehicleTryingToEnter
- Velocity
- Voice
- WasKilledByStealth
- WasKilledByTakedown
- Weapons
- WetnessHeight

### Methods

- applyDamage
- applyForce
- applyForceRelative
- attachBlip
- attachTo
- attachToBone
- cancelRagdoll
- clearBloodDamage
- clearLastWeaponDamage
- clone
- delete
- detach
- exists
- getConfigFlag
- getEntityAttachedTo
- getJackTarget
- getJacker
- getKiller
- getLastWeaponImpactPosition
- getMeleeTarget
- getOffsetPosition
- getPositionOffset
- giveHelmet
- giveWeapon
- hasBeenDamagedBy
- hasBeenDamagedByAnyMeleeWeapon
- hasBeenDamagedByAnyWeapon
- hasBeenDamagedByWeapon
- hasClearLosToEntity
- hasClearLosToEntityInFront
- isAlive
- isAttached
- isAttachedTo
- isDead
- isHeadtracking
- isInAngledArea
- isInAnyVehicle
- isInArea
- isInCombatAgainst
- isInCover
- isInRangeOf
- isInVehicle
- isNearEntity
- isSittingInAnyVehicle
- isSittingInVehicle
- isTouching
- isTouchingModel
- kill
- leaveGroup
- markAsNoLongerNeeded
- openParachute
- playAmbientSpeed
- ragdoll
- removeAllParticleEffects
- removeAllWeapons
- removeHelmet
- removeWeapon
- resetConfigFlag
- resetOpacity
- resetVisibleDamage
- resurrect
- setConfigFlag
- setIntoVehicle
- setNoCollision
- exists
- fromHandle
- fromNetworkId

## Constructors

### constructor

- new Ped(handle: number): Ped

- Overrides Entity.constructor

  - Defined in models/Ped.ts:66

  #### Parameters

  - ##### handle: number

  #### Returns Ped

## Properties

### Protected bones

bones: undefined | EntityBoneCollection

Inherited from Entity.bones

- Defined in models/Entity.ts:29

### Protected handle

handle: number

Inherited from Entity.handle

- Defined in models/Entity.ts:28

### Private pedBones

pedBones: undefined | PedBoneCollection

- Defined in models/Ped.ts:21

### Private Readonly speechModifierNames

speechModifierNames: string[] = ...

- Defined in models/Ped.ts:24

### Private tasks

tasks: undefined | Tasks

- Defined in models/Ped.ts:64

### Private weapons

weapons: undefined | WeaponCollection

- Defined in models/Ped.ts:22

## Accessors

### Accuracy

- get Accuracy(): number
- set Accuracy(accuracy: number): void

- - Defined in models/Ped.ts:91

  #### Returns number

- - Defined in models/Ped.ts:95

  #### Parameters

  - ##### accuracy: number

  #### Returns void

### Armor

- get Armor(): number
- set Armor(amount: number): void

- - Defined in models/Ped.ts:82

  #### Returns number

- - Defined in models/Ped.ts:86

  #### Parameters

  - ##### amount: number

  #### Returns void

### AttachedBlip

- get AttachedBlip(): null | Blip

- - Defined in models/Entity.ts:247

  #### Returns null | Blip

### BlockPermanentEvents

- set BlockPermanentEvents(block: boolean): void

- - Defined in models/Ped.ts:463

  #### Parameters

  - ##### block: boolean

  #### Returns void

### Bones

- get Bones(): undefined | PedBoneCollection

- - Defined in models/Ped.ts:590

  #### Returns undefined | PedBoneCollection

### CanRagdoll

- get CanRagdoll(): boolean
- set CanRagdoll(value: boolean): void

- - Defined in models/Ped.ts:629

  #### Returns boolean

- - Defined in models/Ped.ts:633

  #### Parameters

  - ##### value: boolean

  #### Returns void

### CurrentVehicle

- get CurrentVehicle(): null | Vehicle

- - Defined in models/Ped.ts:158

  #### Returns null | Vehicle

### DrivingSpeed

- set DrivingSpeed(value: number): void

- - Defined in models/Ped.ts:443

  #### Parameters

  - ##### value: number

  #### Returns void

### DrivingStyle

- set DrivingStyle(style: DrivingStyle): void

- - Defined in models/Ped.ts:447

  #### Parameters

  - ##### style: DrivingStyle

  #### Returns void

### DropsWeaponsOnDeath

- set DropsWeaponsOnDeath(value: boolean): void

- - Defined in models/Ped.ts:439

  #### Parameters

  - ##### value: boolean

  #### Returns void

### FiringPattern

- set FiringPattern(value: FiringPattern): void

- - Defined in models/Ped.ts:435

  #### Parameters

  - ##### value: FiringPattern

  #### Returns void

### Gender

- get Gender(): Gender

- - Defined in models/Ped.ts:78

  #### Returns Gender

### Handle

- get Handle(): number

- - Defined in models/Entity.ts:35

  #### Returns number

### HasCollided

- get HasCollided(): boolean

- - Defined in models/Entity.ts:220

  #### Returns boolean

### HasGravity

- set HasGravity(value: boolean): void

- - Defined in models/Entity.ts:132

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Heading

- get Heading(): number
- set Heading(heading: number): void

- - Defined in models/Entity.ts:102

  #### Returns number

- - Defined in models/Entity.ts:106

  #### Parameters

  - ##### heading: number

  #### Returns void

### Health

- get Health(): number
- set Health(amount: number): void

- - Defined in models/Ped.ts:100

  #### Returns number

- - Defined in models/Ped.ts:104

  #### Parameters

  - ##### amount: number

  #### Returns void

### HeightAboveGround

- get HeightAboveGround(): number

- - Defined in models/Entity.ts:136

  #### Returns number

### IsAiming

- get IsAiming(): boolean

- - Defined in models/Ped.ts:395

  #### Returns boolean

### IsAimingFromCover

- get IsAimingFromCover(): boolean

- - Defined in models/Ped.ts:423

  #### Returns boolean

### IsAmbientSpeechEnabled

- get IsAmbientSpeechEnabled(): boolean

- - Defined in models/Ped.ts:379

  #### Returns boolean

### IsAmbientSpeechPlaying

- get IsAmbientSpeechPlaying(): boolean

- - Defined in models/Ped.ts:367

  #### Returns boolean

### IsAnySpeechPlaying

- get IsAnySpeechPlaying(): boolean

- - Defined in models/Ped.ts:375

  #### Returns boolean

### IsBeingJacked

- get IsBeingJacked(): boolean

- - Defined in models/Ped.ts:335

  #### Returns boolean

### IsBeingStealthKilled

- get IsBeingStealthKilled(): boolean

- - Defined in models/Ped.ts:415

  #### Returns boolean

### IsBeingStunned

- get IsBeingStunned(): boolean

- - Defined in models/Ped.ts:411

  #### Returns boolean

### IsClimbing

- get IsClimbing(): boolean

- - Defined in models/Ped.ts:243

  #### Returns boolean

### IsCollisionEnabled

- get IsCollisionEnabled(): boolean
- set IsCollisionEnabled(value: boolean): void

- - Defined in models/Entity.ts:228

  #### Returns boolean

- - Defined in models/Entity.ts:232

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsCuffed

- get IsCuffed(): boolean

- - Defined in models/Ped.ts:201

  #### Returns boolean

### IsDiving

- get IsDiving(): boolean

- - Defined in models/Ped.ts:271

  #### Returns boolean

### IsDoingDriveby

- get IsDoingDriveby(): boolean

- - Defined in models/Ped.ts:403

  #### Returns boolean

### IsDucking

- get IsDucking(): boolean
- set IsDucking(value: boolean): void

- - Defined in models/Ped.ts:235

  #### Returns boolean

- - Defined in models/Ped.ts:231

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsEnemy

- set IsEnemy(value: boolean): void

- - Defined in models/Ped.ts:189

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsFalling

- get IsFalling(): boolean

- - Defined in models/Ped.ts:251

  #### Returns boolean

### IsFleeing

- get IsFleeing(): boolean

- - Defined in models/Ped.ts:351

  #### Returns boolean

### IsGettingIntoAVehicle

- get IsGettingIntoAVehicle(): boolean

- - Defined in models/Ped.ts:339

  #### Returns boolean

### IsGettingUp

- get IsGettingUp(): boolean

- - Defined in models/Ped.ts:239

  #### Returns boolean

### IsGoingIntoCover

- get IsGoingIntoCover(): boolean

- - Defined in models/Ped.ts:407

  #### Returns boolean

### IsHuman

- get IsHuman(): boolean

- - Defined in models/Ped.ts:185

  #### Returns boolean

### IsIdle

- get IsIdle(): boolean

- - Defined in models/Ped.ts:213

  #### Returns boolean

### IsInAir

- get IsInAir(): boolean

- - Defined in models/Entity.ts:176

  #### Returns boolean

### IsInBoat

- get IsInBoat(): boolean

- - Defined in models/Ped.ts:323

  #### Returns boolean

### IsInCombat

- get IsInCombat(): boolean

- - Defined in models/Ped.ts:355

  #### Returns boolean

### IsInCoverFacingLeft

- get IsInCoverFacingLeft(): boolean

- - Defined in models/Ped.ts:431

  #### Returns boolean

### IsInFlyingVehicle

- get IsInFlyingVehicle(): boolean

- - Defined in models/Ped.ts:319

  #### Returns boolean

### IsInGroup

- get IsInGroup(): boolean

- - Defined in models/Ped.ts:536

  #### Returns boolean

### IsInHeli

- get IsInHeli(): boolean

- - Defined in models/Ped.ts:311

  #### Returns boolean

### IsInMeleeCombat

- get IsInMeleeCombat(): boolean

- - Defined in models/Ped.ts:359

  #### Returns boolean

### IsInParachuteFreeFall

- get IsInParachuteFreeFall(): boolean

- - Defined in models/Ped.ts:275

  #### Returns boolean

### IsInPlane

- get IsInPlane(): boolean

- - Defined in models/Ped.ts:315

  #### Returns boolean

### IsInPoliceVehicle

- get IsInPoliceVehicle(): boolean

- - Defined in models/Ped.ts:327

  #### Returns boolean

### IsInStealthMode

- get IsInStealthMode(): boolean

- - Defined in models/Ped.ts:363

  #### Returns boolean

### IsInSub

- get IsInSub(): boolean

- - Defined in models/Ped.ts:299

  #### Returns boolean

### IsInTaxi

- get IsInTaxi(): boolean

- - Defined in models/Ped.ts:303

  #### Returns boolean

### IsInTrain

- get IsInTrain(): boolean

- - Defined in models/Ped.ts:307

  #### Returns boolean

### IsInWater

- get IsInWater(): boolean

- - Defined in models/Entity.ts:180

  #### Returns boolean

### IsInjured

- get IsInjured(): boolean

- - Defined in models/Ped.ts:347

  #### Returns boolean

### IsInvincible

- set IsInvincible(value: boolean): void

- - Defined in models/Entity.ts:200

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsJacking

- get IsJacking(): boolean

- - Defined in models/Ped.ts:331

  #### Returns boolean

### IsJumping

- get IsJumping(): boolean

- - Defined in models/Ped.ts:247

  #### Returns boolean

### IsJumpingOutOfVehicle

- get IsJumpingOutOfVehicle(): boolean

- - Defined in models/Ped.ts:173

  #### Returns boolean

### IsOccluded

- get IsOccluded(): boolean

- - Defined in models/Entity.ts:160

  #### Returns boolean

### IsOnBike

- get IsOnBike(): boolean

- - Defined in models/Ped.ts:291

  #### Returns boolean

### IsOnFire

- get IsOnFire(): boolean

- - Defined in models/Entity.ts:196

  #### Returns boolean

### IsOnFoot

- get IsOnFoot(): boolean

- - Defined in models/Ped.ts:295

  #### Returns boolean

### IsOnScreen

- get IsOnScreen(): boolean

- - Defined in models/Entity.ts:164

  #### Returns boolean

### IsOnlyDamagedByPlayer

- set IsOnlyDamagedByPlayer(value: boolean): void

- - Defined in models/Entity.ts:204

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPainAudioEnabled

- set IsPainAudioEnabled(value: boolean): void

- - Defined in models/Ped.ts:383

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPerformingStealthKill

- get IsPerformingStealthKill(): boolean

- - Defined in models/Ped.ts:419

  #### Returns boolean

### IsPersistent

- get IsPersistent(): boolean
- set IsPersistent(value: boolean): void

- - Defined in models/Entity.ts:184

  #### Returns boolean

- - Defined in models/Entity.ts:188

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPlantingBomb

- get IsPlantingBomb(): boolean

- - Defined in models/Ped.ts:387

  #### Returns boolean

### IsPlayer

- get IsPlayer(): boolean

- - Defined in models/Ped.ts:197

  #### Returns boolean

### IsPositionFrozen

- set IsPositionFrozen(value: boolean): void

- - Defined in models/Entity.ts:110

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsPriorityTargetForEnemies

- set IsPriorityTargetForEnemies(value: boolean): void

- - Defined in models/Ped.ts:193

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsProne

- get IsProne(): boolean

- - Defined in models/Ped.ts:227

  #### Returns boolean

### IsRagdoll

- get IsRagdoll(): boolean

- - Defined in models/Ped.ts:209

  #### Returns boolean

### IsRecordingCollisions

- set IsRecordingCollisions(value: boolean): void

- - Defined in models/Entity.ts:236

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsReloading

- get IsReloading(): boolean

- - Defined in models/Ped.ts:399

  #### Returns boolean

### IsRunning

- get IsRunning(): boolean

- - Defined in models/Ped.ts:263

  #### Returns boolean

### IsScriptedSpeechPlaying

- get IsScriptedSpeechPlaying(): boolean

- - Defined in models/Ped.ts:371

  #### Returns boolean

### IsShooting

- get IsShooting(): boolean

- - Defined in models/Ped.ts:391

  #### Returns boolean

### IsSprinting

- get IsSprinting(): boolean

- - Defined in models/Ped.ts:267

  #### Returns boolean

### IsStopped

- get IsStopped(): boolean

- - Defined in models/Ped.ts:255

  #### Returns boolean

### IsSwimming

- get IsSwimming(): boolean

- - Defined in models/Ped.ts:279

  #### Returns boolean

### IsSwimmingUnderWater

- get IsSwimmingUnderWater(): boolean

- - Defined in models/Ped.ts:283

  #### Returns boolean

### IsTryingToEnterALockedVehicle

- get IsTryingToEnterALockedVehicle(): boolean

- - Defined in models/Ped.ts:343

  #### Returns boolean

### IsUpright

- get IsUpright(): boolean

- - Defined in models/Entity.ts:168

  #### Returns boolean

### IsUpsideDown

- get IsUpsideDown(): boolean

- - Defined in models/Entity.ts:172

  #### Returns boolean

### IsVaulting

- get IsVaulting(): boolean

- - Defined in models/Ped.ts:287

  #### Returns boolean

### IsVisible

- get IsVisible(): boolean
- set IsVisible(value: boolean): void

- - Defined in models/Entity.ts:152

  #### Returns boolean

- - Defined in models/Entity.ts:156

  #### Parameters

  - ##### value: boolean

  #### Returns void

### IsWalking

- get IsWalking(): boolean

- - Defined in models/Ped.ts:259

  #### Returns boolean

### IsWearingHelmet

- get IsWearingHelmet(): boolean

- - Defined in models/Ped.ts:205

  #### Returns boolean

### LastVehicle

- get LastVehicle(): null | Vehicle

- - Defined in models/Ped.ts:163

  #### Returns null | Vehicle

### LodDistance

- get LodDistance(): number
- set LodDistance(value: number): void

- - Defined in models/Entity.ts:144

  #### Returns number

- - Defined in models/Entity.ts:148

  #### Parameters

  - ##### value: number

  #### Returns void

### MaterialCollidingWith

- get MaterialCollidingWith(): MaterialHash

- - Defined in models/Entity.ts:224

  #### Returns MaterialHash

### MaxDrivingSpeed

- set MaxDrivingSpeed(value: number): void

- - Defined in models/Ped.ts:181

  #### Parameters

  - ##### value: number

  #### Returns void

### MaxHealth

- get MaxHealth(): number
- set MaxHealth(amount: number): void

- - Defined in models/Ped.ts:108

  #### Returns number

- - Defined in models/Ped.ts:112

  #### Parameters

  - ##### amount: number

  #### Returns void

### MaxSpeed

- set MaxSpeed(value: number): void

- - Defined in models/Entity.ts:128

  #### Parameters

  - ##### value: number

  #### Returns void

### Model

- get Model(): Model

- - Defined in models/Entity.ts:67

  #### Returns Model

### Money

- get Money(): number
- set Money(amount: number): void

- - Defined in models/Ped.ts:70

  #### Returns number

- - Defined in models/Ped.ts:74

  #### Parameters

  - ##### amount: number

  #### Returns void

### NetworkId

- get NetworkId(): number

- - Defined in models/Entity.ts:39

  #### Returns number

### NeverLeavesGroup

- set NeverLeavesGroup(value: boolean): void

- - Defined in models/Ped.ts:540

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Opacity

- get Opacity(): number
- set Opacity(value: number): void

- - Defined in models/Entity.ts:208

  #### Returns number

- - Defined in models/Entity.ts:212

  #### Parameters

  - ##### value: number

  #### Returns void

### Position

- get Position(): Vector3
- set Position(position: Vector3): void

- - Defined in models/Entity.ts:71

  #### Returns Vector3

- - Defined in models/Entity.ts:76

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### PositionNoOffset

- set PositionNoOffset(position: Vector3): void

- - Defined in models/Entity.ts:80

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### Quaternion

- get Quaternion(): Quaternion
- set Quaternion(quaternion: Quaternion): void

- - Defined in models/Entity.ts:93

  #### Returns Quaternion

- - Defined in models/Entity.ts:98

  #### Parameters

  - ##### quaternion: Quaternion

  #### Returns void

### Rotation

- get Rotation(): Vector3
- set Rotation(rotation: Vector3): void

- - Defined in models/Entity.ts:84

  #### Returns Vector3

- - Defined in models/Entity.ts:89

  #### Parameters

  - ##### rotation: Vector3

  #### Returns void

### RotationVelocity

- get RotationVelocity(): Vector3

- - Defined in models/Entity.ts:123

  #### Returns Vector3

### SeatIndex

- get SeatIndex(): VehicleSeat

- - Defined in models/Ped.ts:145

  #### Returns VehicleSeat

### ShootRate

- set ShootRate(value: number): void

- - Defined in models/Ped.ts:132

  #### Parameters

  - ##### value: number

  #### Returns void

### StaysInVehicleWhenJacked

- set StaysInVehicleWhenJacked(value: boolean): void

- - Defined in models/Ped.ts:177

  #### Parameters

  - ##### value: boolean

  #### Returns void

### SubmersionLevel

- get SubmersionLevel(): number

- - Defined in models/Entity.ts:140

  #### Returns number

### Sweat

- set Sweat(value: number): void

- - Defined in models/Ped.ts:116

  #### Parameters

  - ##### value: number

  #### Returns void

### Task

- get Task(): undefined | Tasks

- - Defined in models/Ped.ts:451

  #### Returns undefined | Tasks

### TaskSequenceProgress

- get TaskSequenceProgress(): number

- - Defined in models/Ped.ts:459

  #### Returns number

### VehicleTryingToEnter

- get VehicleTryingToEnter(): null | Vehicle

- - Defined in models/Ped.ts:168

  #### Returns null | Vehicle

### Velocity

- get Velocity(): Vector3
- set Velocity(velocity: Vector3): void

- - Defined in models/Entity.ts:114

  #### Returns Vector3

- - Defined in models/Entity.ts:119

  #### Parameters

  - ##### velocity: Vector3

  #### Returns void

### Voice

- set Voice(value: string): void

- - Defined in models/Ped.ts:128

  #### Parameters

  - ##### value: string

  #### Returns void

### WasKilledByStealth

- get WasKilledByStealth(): boolean

- - Defined in models/Ped.ts:137

  #### Returns boolean

### WasKilledByTakedown

- get WasKilledByTakedown(): boolean

- - Defined in models/Ped.ts:141

  #### Returns boolean

### Weapons

- get Weapons(): WeaponCollection

- - Defined in models/Ped.ts:603

  Ped Weapons

  #### Returns WeaponCollection

### WetnessHeight

- set WetnessHeight(value: number): void

- - Defined in models/Ped.ts:120

  #### Parameters

  - ##### value: number

  #### Returns void

## Methods

### applyDamage

- applyDamage(damageAmount: number): void

- - Defined in models/Ped.ts:570

  #### Parameters

  - ##### damageAmount: number

  #### Returns void

### applyForce

- applyForce(direction: Vector3, rotation: Vector3, forceType?: ForceType): void

- Inherited from Entity.applyForce

  - Defined in models/Entity.ts:429

  #### Parameters

  - ##### direction: Vector3

  - ##### rotation: Vector3

  - ##### forceType: ForceType = ...

  #### Returns void

### applyForceRelative

- applyForceRelative(direction: Vector3, rotation: Vector3, forceType?: ForceType): void

- Inherited from Entity.applyForceRelative

  - Defined in models/Entity.ts:452

  #### Parameters

  - ##### direction: Vector3

  - ##### rotation: Vector3

  - ##### forceType: ForceType = ...

  #### Returns void

### attachBlip

- attachBlip(): Blip

- Inherited from Entity.attachBlip

  - Defined in models/Entity.ts:257

  #### Returns Blip

### attachTo

- attachTo(entity: Entity, position: Vector3, rotation: Vector3, collisions?: boolean): void

- Inherited from Entity.attachTo

  - Defined in models/Entity.ts:368

  #### Parameters

  - ##### entity: Entity

  - ##### position: Vector3

  - ##### rotation: Vector3

  - ##### collisions: boolean = false

  #### Returns void

### attachToBone

- attachToBone(entityBone: EntityBone, position: Vector3, rotation: Vector3, collisions?: boolean): void

- Inherited from Entity.attachToBone

  - Defined in models/Entity.ts:388

  #### Parameters

  - ##### entityBone: EntityBone

  - ##### position: Vector3

  - ##### rotation: Vector3

  - ##### collisions: boolean = false

  #### Returns void

### cancelRagdoll

- cancelRagdoll(): void

- - Defined in models/Ped.ts:642

  #### Returns void

### clearBloodDamage

- clearBloodDamage(): void

- - Defined in models/Ped.ts:530

  #### Returns void

### clearLastWeaponDamage

- clearLastWeaponDamage(): void

- Overrides Entity.clearLastWeaponDamage

  - Defined in models/Ped.ts:586

  #### Returns void

### clone

- clone(): Ped

- - Defined in models/Ped.ts:675

  #### Returns Ped

### delete

- delete(): void

- Inherited from Entity.delete

  - Defined in models/Entity.ts:483

  #### Returns void

### detach

- detach(): void

- Inherited from Entity.detach

  - Defined in models/Entity.ts:413

  #### Returns void

### exists

- exists(ped?: Ped): boolean

- Overrides Entity.exists

  - Defined in models/Ped.ts:679

  #### Parameters

  - ##### Optional ped: Ped

  #### Returns boolean

### getConfigFlag

- getConfigFlag(flagId: number): boolean

- - Defined in models/Ped.ts:662

  #### Parameters

  - ##### flagId: number

  #### Returns boolean

### getEntityAttachedTo

- getEntityAttachedTo(): null | Ped | Vehicle | Prop

- Inherited from Entity.getEntityAttachedTo

  - Defined in models/Entity.ts:425

  #### Returns null | Ped | Vehicle | Prop

### getJackTarget

- getJackTarget(): Ped

- - Defined in models/Ped.ts:499

  #### Returns Ped

### getJacker

- getJacker(): Ped

- - Defined in models/Ped.ts:495

  #### Returns Ped

### getKiller

- getKiller(): null | Entity

- - Defined in models/Ped.ts:507

  #### Returns null | Entity

### getLastWeaponImpactPosition

- getLastWeaponImpactPosition(): Vector3

- - Defined in models/Ped.ts:623

  #### Returns Vector3

### getMeleeTarget

- getMeleeTarget(): Ped

- - Defined in models/Ped.ts:503

  #### Returns Ped

### getOffsetPosition

- getOffsetPosition(offset: Vector3): Vector3

- Inherited from Entity.getOffsetPosition

  - Defined in models/Entity.ts:351

  #### Parameters

  - ##### offset: Vector3

  #### Returns Vector3

### getPositionOffset

- getPositionOffset(worldCoords: Vector3): Vector3

- Inherited from Entity.getPositionOffset

  - Defined in models/Entity.ts:357

  #### Parameters

  - ##### worldCoords: Vector3

  #### Returns Vector3

### giveHelmet

- giveHelmet(canBeRemovedByPed: boolean, helmetType: HelmetType, textureIndex: number): void

- - Defined in models/Ped.ts:646

  #### Parameters

  - ##### canBeRemovedByPed: boolean

  - ##### helmetType: HelmetType

  - ##### textureIndex: number

  #### Returns void

### giveWeapon

- giveWeapon(weapon: WeaponHash, ammoCount?: number, isHidden?: boolean, equipNow?: boolean): void

- - Defined in models/Ped.ts:611

  #### Parameters

  - ##### weapon: WeaponHash

  - ##### ammoCount: number = 999

  - ##### isHidden: boolean = false

  - ##### equipNow: boolean = true

  #### Returns void

### hasBeenDamagedBy

- hasBeenDamagedBy(entity: Entity): boolean

- Inherited from Entity.hasBeenDamagedBy

  - Defined in models/Entity.ts:273

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### hasBeenDamagedByAnyMeleeWeapon

- hasBeenDamagedByAnyMeleeWeapon(): boolean

- Overrides Entity.hasBeenDamagedByAnyMeleeWeapon

  - Defined in models/Ped.ts:582

  #### Returns boolean

### hasBeenDamagedByAnyWeapon

- hasBeenDamagedByAnyWeapon(): boolean

- Overrides Entity.hasBeenDamagedByAnyWeapon

  - Defined in models/Ped.ts:578

  #### Returns boolean

### hasBeenDamagedByWeapon

- hasBeenDamagedByWeapon(weapon: WeaponHash): boolean

- Overrides Entity.hasBeenDamagedByWeapon

  - Defined in models/Ped.ts:574

  #### Parameters

  - ##### weapon: WeaponHash

  #### Returns boolean

### hasClearLosToEntity

- hasClearLosToEntity(entity: Entity, traceType?: number): boolean

- Inherited from Entity.hasClearLosToEntity

  - Defined in models/Entity.ts:265

  #### Parameters

  - ##### entity: Entity

  - ##### traceType: number = 17

  #### Returns boolean

### hasClearLosToEntityInFront

- hasClearLosToEntityInFront(entity: Entity): boolean

- Inherited from Entity.hasClearLosToEntityInFront

  - Defined in models/Entity.ts:269

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isAlive

- isAlive(): boolean

- Inherited from Entity.isAlive

  - Defined in models/Entity.ts:63

  #### Returns boolean

### isAttached

- isAttached(): boolean

- Inherited from Entity.isAttached

  - Defined in models/Entity.ts:417

  #### Returns boolean

### isAttachedTo

- isAttachedTo(entity: Entity): boolean

- Inherited from Entity.isAttachedTo

  - Defined in models/Entity.ts:421

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isDead

- isDead(): boolean

- Inherited from Entity.isDead

  - Defined in models/Entity.ts:59

  #### Returns boolean

### isHeadtracking

- isHeadtracking(entity: Entity): boolean

- - Defined in models/Ped.ts:487

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isInAngledArea

- isInAngledArea(origin: Vector3, edge: Vector3, angle: number): boolean

- Inherited from Entity.isInAngledArea

  - Defined in models/Entity.ts:308

  #### Parameters

  - ##### origin: Vector3

  - ##### edge: Vector3

  - ##### angle: number

  #### Returns boolean

### isInAnyVehicle

- isInAnyVehicle(): boolean

- - Defined in models/Ped.ts:467

  #### Returns boolean

### isInArea

- isInArea(minBounds: Vector3, maxBounds: Vector3): boolean

- Inherited from Entity.isInArea

  - Defined in models/Entity.ts:293

  #### Parameters

  - ##### minBounds: Vector3

  - ##### maxBounds: Vector3

  #### Returns boolean

### isInCombatAgainst

- isInCombatAgainst(target: Ped): boolean

- - Defined in models/Ped.ts:491

  #### Parameters

  - ##### target: Ped

  #### Returns boolean

### isInCover

- isInCover(expectUseWeapon?: boolean): boolean

- - Defined in models/Ped.ts:427

  #### Parameters

  - ##### expectUseWeapon: boolean = false

  #### Returns boolean

### isInRangeOf

- isInRangeOf(position: Vector3, range: number): boolean

- Inherited from Entity.isInRangeOf

  - Defined in models/Entity.ts:324

  #### Parameters

  - ##### position: Vector3

  - ##### range: number

  #### Returns boolean

### isInVehicle

- isInVehicle(vehicle: Vehicle): boolean

- - Defined in models/Ped.ts:471

  #### Parameters

  - ##### vehicle: Vehicle

  #### Returns boolean

### isNearEntity

- isNearEntity(entity: Entity, bounds: Vector3): boolean

- Inherited from Entity.isNearEntity

  - Defined in models/Entity.ts:330

  #### Parameters

  - ##### entity: Entity

  - ##### bounds: Vector3

  #### Returns boolean

### isSittingInAnyVehicle

- isSittingInAnyVehicle(): boolean

- - Defined in models/Ped.ts:475

  #### Returns boolean

### isSittingInVehicle

- isSittingInVehicle(vehicle: Vehicle): boolean

- - Defined in models/Ped.ts:479

  #### Parameters

  - ##### vehicle: Vehicle

  #### Returns boolean

### isTouching

- isTouching(entity: Entity): boolean

- Inherited from Entity.isTouching

  - Defined in models/Entity.ts:343

  #### Parameters

  - ##### entity: Entity

  #### Returns boolean

### isTouchingModel

- isTouchingModel(model: Model): boolean

- Inherited from Entity.isTouchingModel

  - Defined in models/Entity.ts:347

  #### Parameters

  - ##### model: Model

  #### Returns boolean

### kill

- kill(): void

- - Defined in models/Ped.ts:511

  #### Returns void

### leaveGroup

- leaveGroup(): void

- - Defined in models/Ped.ts:544

  #### Returns void

### markAsNoLongerNeeded

- markAsNoLongerNeeded(): void

- Inherited from Entity.markAsNoLongerNeeded

  - Defined in models/Entity.ts:490

  #### Returns void

### openParachute

- openParachute(): void

- - Defined in models/Ped.ts:658

  #### Returns void

### playAmbientSpeed

- playAmbientSpeed(speechName: string, voiceName?: string, modifier?: SpeechModifier): void

- - Defined in models/Ped.ts:548

  #### Parameters

  - ##### speechName: string

  - ##### voiceName: string = ''

  - ##### modifier: SpeechModifier = ...

  #### Returns void

### ragdoll

- ragdoll(duration?: number, ragdollType?: RagdollType): void

- - Defined in models/Ped.ts:637

  #### Parameters

  - ##### duration: number = -1

  - ##### ragdollType: RagdollType = ...

  #### Returns void

### removeAllParticleEffects

- removeAllParticleEffects(): void

- Inherited from Entity.removeAllParticleEffects

  - Defined in models/Entity.ts:475

  #### Returns void

### removeAllWeapons

- removeAllWeapons(): void

- - Defined in models/Ped.ts:619

  #### Returns void

### removeHelmet

- removeHelmet(instantly: boolean): void

- - Defined in models/Ped.ts:654

  #### Parameters

  - ##### instantly: boolean

  #### Returns void

### removeWeapon

- removeWeapon(weapon: WeaponHash): void

- - Defined in models/Ped.ts:615

  #### Parameters

  - ##### weapon: WeaponHash

  #### Returns void

### resetConfigFlag

- resetConfigFlag(flagId: number): void

- - Defined in models/Ped.ts:670

  #### Parameters

  - ##### flagId: number

  #### Returns void

### resetOpacity

- resetOpacity(): void

- Inherited from Entity.resetOpacity

  - Defined in models/Entity.ts:216

  #### Returns void

### resetVisibleDamage

- resetVisibleDamage(): void

- - Defined in models/Ped.ts:526

  #### Returns void

### resurrect

- resurrect(): void

- - Defined in models/Ped.ts:515

  #### Returns void

### setConfigFlag

- setConfigFlag(flagId: number, value: boolean): void

- - Defined in models/Ped.ts:666

  #### Parameters

  - ##### flagId: number

  - ##### value: boolean

  #### Returns void

### setIntoVehicle

- setIntoVehicle(vehicle: Vehicle, seat: VehicleSeat): void

- - Defined in models/Ped.ts:483

  #### Parameters

  - ##### vehicle: Vehicle

  - ##### seat: VehicleSeat

  #### Returns void

### setNoCollision

- setNoCollision(entity: Entity, toggle: boolean): void

- Inherited from Entity.setNoCollision

  - Defined in models/Entity.ts:261

  #### Parameters

  - ##### entity: Entity

  - ##### toggle: boolean

  #### Returns void

### Static exists

- exists(ped: Ped): boolean

- - Defined in models/Ped.ts:17

  #### Parameters

  - ##### ped: Ped

  #### Returns boolean

### Static fromHandle

- fromHandle(handle: number): null | Ped | Vehicle | Prop

- Inherited from Entity.fromHandle

  - Defined in models/Entity.ts:11

  #### Parameters

  - ##### handle: number

  #### Returns null | Ped | Vehicle | Prop

### Static fromNetworkId

- fromNetworkId(networkId: number): null | Ped | Vehicle | Prop

- Inherited from Entity.fromNetworkId

  - Defined in models/Entity.ts:24

  #### Parameters

  - ##### networkId: number

  #### Returns null | Ped | Vehicle | Prop

Generated using TypeDoc